#ifndef HEADER_H
#define HEADER_H

#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>

#include "utils.h"
#include "bitmanip.h"
#include "usart.h"
#include "interrupt.h"

//
// PROTOTYPES
//
// main.c
// colors.c
void init_rgb();
void set_rgb(uint8_t r, uint8_t g, uint8_t b);
uint8_t get_red(char *input);
uint8_t get_green(char *input);
uint8_t get_blue(char *input);
uint8_t hex_to_int(char c);
void uart_init();
void set_color(char *color_input);
// uart.c
void uart_init();
char uart_rx(void);
void uart_tx(char c);
// void uart_printstr(const char* str);
void remove_last_character();
void fill_str(char input);
int strlength(volatile char *str);
void reset_input();
int is_valid_color_input(char c);


#endif // HEADER_H